"""
inspired by --> https://github.com/zalando/connexion/issues/254
this solves problem when api is specified in multiple files
"""


import prance
from typing import Any, Dict
from pathlib import Path
import yaml


def get_bundled_specs(main_file: Path) -> Dict[str, Any]:
    parser = prance.ResolvingParser(str(main_file.absolute()), lazy=True, strict=True)
    parser.parse()
    return parser.specification


openapi = get_bundled_specs(Path("../swagger.yaml"))

# open-api-unified.yaml is result of merge of different_files
with open("open-api-unified.yaml", "w", encoding="utf-8") as f:
    yaml.dump(openapi, f, default_flow_style=False)
